QGIS Application - Bug report #20154

Broken clustering method selection in GRASS v.cluster processing algorithm

2018-10-18 01:30 PM - Oto Kalab

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi
Category: Processing/GRASS

Affected QGIS version:3.2.3

Operating System: Linux Mint 19 Tara
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: Yes
Resolution: fixed/implemented

Copied to github as #: 27975

Description

In processing window of v.cluster GRASS algorithm there is no option to choose single clustering method. The menu shows only one item
with all methods, which sent exactly value ‘dbscan,dbscan2,density,optics,optics2” to the ‘method” parameter, leading to error:

ERROR: Value <dbscan, dbscan2, density, optics, optics2> out of range for parameter <method>

Legal range: dbscan,dbscan2,density,optics,optics2

History

#1 - 2018-10-18 02:59 PM - Giovanni Manghi

https://github.com/qgis/QGIS/pull/8227

#2 - 2018-10-19 01:55 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Easy fix? changed from No to Yes

- Status changed from Open to Closed

#3 - 2018-10-19 01:56 PM - Giovanni Manghi

- Assignee set to Giovanni Manghi
